#
# spec file for package rubygem-actionview-5.2
#
# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


#
# This file was generated with a gem2rpm.yml and not just plain gem2rpm.
# All sections marked as MANUAL, license headers, summaries and descriptions
# can be maintained in that file. Please consult this file before editing any
# of those fields
#

Name:           rubygem-actionview-5.2
Version:        5.2.3
Release:        bp155.2.10
%define mod_name actionview
%define mod_full_name %{mod_name}-%{version}
%define mod_version_suffix -5.2
# MANUAL
%if 0%{?suse_version} && 0%{?suse_version} < 1330
%define rb_build_versions ruby25 ruby26
%define rb_build_ruby_abis ruby:2.5.0 ruby:2.6.0
%endif
# /MANUAL
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  %{ruby >= 2.2.2}
BuildRequires:  %{rubygem gem2rpm}
BuildRequires:  ruby-macros >= 5
Url:            http://rubyonrails.org
Source:         https://rubygems.org/gems/%{mod_full_name}.gem
Source1:        gem2rpm.yml
Summary:        Rendering framework putting the V in MVC (part of Rails)
License:        MIT
Group:          Development/Languages/Ruby

%description
Simple, battle-tested conventions and helpers for building web pages.

%prep

%build

%install
%gem_install \
  --doc-files="CHANGELOG.md MIT-LICENSE README.rdoc" \
  -f

%gem_packages

%changelog
* Fri Mar 29 2019 Stephan Kulow <coolo@suse.com>
- updated to version 5.2.3
  see installed CHANGELOG.md
  [#]# Rails 5.2.3 (March 27, 2019) ##
  * Prevent non-primary mouse keys from triggering Rails UJS click handlers.
    Firefox fires click events even if the click was triggered by non-primary mouse keys such as right- or scroll-wheel-clicks.
    For example, right-clicking a link such as the one described below (with an underlying ajax request registered on click) should not cause that request to occur.
    ```
    <%%= link_to 'Remote', remote_path, class: 'remote', remote: true, data: { type: :json } %%>
    ```
    Fixes #34541
  * Wolfgang Hobmaier*
* Thu Mar 14 2019 Marcus Rueckert <mrueckert@suse.de>
- update to version 5.2.2.1:
  https://weblog.rubyonrails.org/2019/3/13/Rails-4-2-5-1-5-1-6-2-have-been-released/
  CVE-2019-5418 CVE-2019-5419 CVE-2019-5420
* Sat Jan 19 2019 Marcus Rueckert <mrueckert@suse.de>
- rb_build_ruby_abi needs to be rb_build_ruby_abis
* Fri Jan 18 2019 Marcus Rueckert <mrueckert@suse.de>
- limit to ruby 2.5 and above for 42.3/sle12
* Sat Dec  8 2018 Stephan Kulow <coolo@suse.com>
- updated to version 5.2.2
  see installed CHANGELOG.md
  [#]# Rails 5.2.2 (December 04, 2018) ##
  * No changes.
* Mon Dec  3 2018 mschnitzer@suse.com
- updated to version 5.2.1.1 (boo#1118076)
  * No changes / Just a version bump to match with Rails 5.2.1.1
* Wed Aug  8 2018 mschnitzer@suse.com
- updated to version 5.2.1 (boo#1104209)
  * Fix leak of `skip_default_ids` and `allow_method_names_outside_object` options
    to HTML attributes.
    (Yurii Cherniavskyi)
  * Fix issue with `button_to`'s `to_form_params`
    `button_to` was throwing exception when invoked with `params` hash that
    contains symbol and string keys. The reason for the exception was that
    `to_form_params` was comparing the given symbol and string keys.
    The issue is fixed by turning all keys to strings inside
    `to_form_params` before comparing them.
    (Georgi Georgiev)
  * Fix JavaScript views rendering does not work with Firefox when using
    Content Security Policy.
    Fixes #32577.
    (Yuji Yaginuma)
  * Add the `nonce: true` option for `javascript_include_tag` helper to
    support automatic nonce generation for Content Security Policy.
    Works the same way as `javascript_tag nonce: true` does.
    (Yaroslav Markin)
* Mon Apr 16 2018 mschnitzer@suse.com
- initialize package
  see changelog: https://github.com/rails/rails/blob/v5.2.0/actionview/CHANGELOG.md
